[ Maverik Level 1 typedefs ]

#

MAV_ellipse

## Summary

Default object class ``ellipse''.

## Syntax

    typedef struct {
      float radius;
      float height;
      int nverts;
      int nchips;
      MAV_surfaceParams *sp;
      MAV_matrix matrix;
      void *userdef;
    } MAV_ellipse;

## Description

An ellipse is defined with its centre at the origin and with a radius, `height`, along the Z axis and a radius, `radius`, in the XY plane.

When rendered, `nverts` vertices are used to facet the curved surface of the ellipse around the Z axis, and `nchips` vertices around the X axis from -90 to 90 degrees. Both values are only applicable if they are greater than two and `mav_opt_curveLOD` is not set.

Back to the index page.